import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getLossesPermissionService = createAsyncThunk(
  "GET_LOSSES_PERMISSION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("losses_permission/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
